// 行缓冲区
// 写数据时遇到换行符，则刷新缓冲
// 如果行缓冲不刷新时，则不会输出结果。
// 因为输出的内容没有遇到换行符（Linux  `\n`）, Window(`\r\n`)。

#include <stdio.h>

int main()
{
    printf("Hello World"); // 缓冲区未写满，不会刷新缓冲区，不会输出
    while (1)
        ;

    return 0; // 缓冲未写满，不会刷新缓冲区，不会退出程序
}